PlayShifu Plugo Slingshot (App Based) - Fun Catapult Kit | Ages 5-10 Years Educational STEM Toy | Interactive AR Games
PlayShifu Plugo Slingshot (App Based) - Fun Catapult Kit | Ages 5-10 Years Educational STEM Toy | Interactive AR Games
PlayShifu Plugo Slingshot (App Based) - Fun Catapult Kit | Ages 5-10 Years Educational STEM Toy | Interactive AR Games
PlayShifu Plugo Slingshot (App Based) - Fun Catapult Kit | Ages 5-10 Years Educational STEM Toy | Interactive AR Games
PlayShifu Plugo Slingshot (App Based) - Fun Catapult Kit | Ages 5-10 Years Educational STEM Toy | Interactive AR Games
PlayShifu Plugo Slingshot (App Based) - Fun Catapult Kit | Ages 5-10 Years Educational STEM Toy | Interactive AR Games
PlayShifu Plugo Slingshot (App Based) - Fun Catapult Kit | Ages 5-10 Years Educational STEM Toy | Interactive AR Games
AppcessorySG

PlayShifu Plugo Slingshot (App Based) - Fun Catapult Kit | Ages 5-10 Years Educational STEM Toy | Interactive AR Games

Regular price SGD$89.99 SGD$0.00 Unit price per
  • PLUGO SLINGSHOT - aim and launch the Slingshot in the real world to solve puzzles in the digital world. Play action-packed games with this fun AR-powered catapult kit. Watch the video to catch it in action!
  • STEM, STEAM & everything in between - experiment with the concepts of physics as you solve beginner to expert levels. Combine concepts like direction, force, projectile to shatter obstacles and win.
  • PLUGO APP works with all 5 Plugo kits. It has 5 interactive games and 250+ levels for Slingshot kit (no in-app purchases). Simply download “Plugo” from the App Store or Play Store on your device.
  • IN THE BOX - The kit contains 1 slingshot and 1 gamepad. Plugo Gamepad is a foldable pad with embedded magnets to hold the Plugo kit on one side, and your device goes in the slot on the other side. Hands-on learning without touching the screen!
  • COMPATIBLE DEVICES - iOS - iPad 5th gen or newer, all models of iPad Pro (except Pro 12"), all models of iPad Air, iPad Mini 2nd gen or newer, iPhone 6 or newer | Android - Samsung devices: 2015 and newer, 2GB RAM and above [Samsung Tab A7 and S7 not supported] | Amazon - Fire 7 (9th gen 2019 release only), Fire 8 (8th gen 2018 release, 10th gen 2020 release); [Fire 10 not supported]

Share this Product